#!/bin/sh
set -e
cr_bindir=${top_builddir:-..}/bin
cr_checkpoint=${cr_checkpoint:-${cr_bindir}/cr_checkpoint}
cr_restart=${cr_restart:-${cr_bindir}/cr_restart}
cr_run=${cr_run:-${cr_bindir}/cr_run}
for dir in `dirname $0` . ${top_builddir:-..}/tests; do
  test -x ${dir}/bug2003_aux && break
done
#
${cr_run} ${dir}/bug2003_aux &
pid=$!
sleep 2
${cr_checkpoint} $pid
sleep 2
${cr_restart} context.$pid
rm -f context.$pid
