#!/bin/sh
set -e
cr_bindir=${top_builddir:-..}/bin
cr_run=${cr_run:-${cr_bindir}/cr_run}
cr_checkpoint=${cr_checkpoint:-${cr_bindir}/cr_checkpoint}
cr_restart=${cr_restart:-${cr_bindir}/cr_restart}
for dir in `dirname $0` . ${top_builddir:-..}/tests; do
  test -x ${dir}/save_aux && break
done
#
cp -f ${dir}/save_aux save_exe_aux
${cr_run} ./save_exe_aux &
pid=$!
trap "\rm -f context.$pid ./save_exe_aux 2>/dev/null" 0
sleep 5
${cr_checkpoint} --save-exe $pid
sleep 2
rm -f ./save_exe_aux
cp /dev/null ./save_exe_aux
${cr_restart} context.$pid
