#!/bin/sh
set -e
cr_bindir=${top_builddir:-..}/bin
cr_run=${cr_run:-${cr_bindir}/cr_run}
cr_checkpoint=${cr_checkpoint:-${cr_bindir}/cr_checkpoint}
cr_restart=${cr_restart:-${cr_bindir}/cr_restart}
for dir in `dirname $0` . ${top_builddir:-..}/tests; do
  test -x ${dir}/reloc_aux && break
done
#
MY_TMPDIR1=`mktemp -d ${TMPDIR:-/tmp}/blcr_reloc.XXXXXX`
MY_TMPDIR2=`mktemp -d ${TMPDIR:-/tmp}/blcr_reloc.XXXXXX`
trap "\rm -rf ${MY_TMPDIR1} ${MY_TMPDIR2} 2>/dev/null" 0
cp -f ${dir}/reloc_aux ${MY_TMPDIR1}/reloc_exe
${cr_run} ${MY_TMPDIR1}/reloc_exe ${MY_TMPDIR1} &
pid=$!
sleep 5
${cr_checkpoint} $pid
sleep 2
mv -f ${MY_TMPDIR1}/reloc_dir ${MY_TMPDIR2}/
# Move the cwd
${cr_restart} --relocate ${MY_TMPDIR1}/reloc_dir=${MY_TMPDIR2}/reloc_dir context.$pid
